<?php

namespace Modules\Faq\Controllers\Web;

use App\Http\Controllers\Controller;
use Illuminate\View\View;
use Modules\FaqCategory\Services\FaqCategoryService;

class FaqController extends Controller
{
    private string $viewDirectory = 'web.pages.faqs.';
    public function __construct(
        private FaqCategoryService $categoryService
    ){}

    public function index() :View
    {
        $title = __('web.faqs');
        $faq_categories = $this->categoryService->get();
        return view($this->viewDirectory.'index', get_defined_vars());
    }
}
